<?php
/**
 * @package		Depot.Administrator
 * @subpackage	com_depot
 * @author		Thomas Kuschel <thomas@kuschel.at>
 * @copyright	(C) 2023 KW4NZ, <https://www.kuschel.at>
 * @license		GNU General Public License version 2 or later; see LICENSE.md
 * @since		0.0.3
 */
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;

/** @var Joomla\CMS\WebAsset\WebAssetManager $wa */
$wa = $this->document->getWebAssetManager();
$wa->useScript('form.validate')
	->useScript('keepalive');

?>
<form action="<?= Route::_('index.php?option=com_depot&view=part&layout=edit&id=' . (int) $this->item->id); ?>"
	method="post" name="adminForm" id="item-form" class="form-validate">

	<div class="form-horizontal">
		<?= HtmlHelper::_(
			'bootstrap.startTabSet',
			'myTab',
			['active' => 'details']
		); ?>
		<?= HTMLHelper::_(
			'bootstrap.addTab',
			'myTab',
			'details',
			empty($this->item->id) ? Text::_('COM_DEPOT_TAB_NEW_PART') :
			Text::_('COM_DEPOT_TAB_EDIT_PART')
		); ?>
		<fieldset class="adminform">
			<legend>
				<?= Text::_('COM_DEPOT_LEGEND_DETAILS') ?>
			</legend>
			<div class="row">
				<div class="col-12 col-lg-3">
					<?= $this->form->renderFieldset('details'); ?>
				</div>
				<div class="col-12 col-lg-9">
					<?= $this->form->getInput('description'); ?>
				</div>
			</div>
		</fieldset>
		<?= HtmlHelper::_('bootstrap.endTab'); ?>
		<?= HtmlHelper::_('bootstrap.endTabSet'); ?>
	</div>
	<input type="hidden" name="task" value="part.edit" />
	<?= HTMLHelper::_('form.token'); ?>
</form>